GetRecords Associations

Purpose

This API returns all the associations of a specific GetRecords configuration. Associations represent where the configuration is being used, such as:

  • Kiosk states
  • Actions
  • Other dependent elements

This API helps you understand the dependencies of a GetRecords configuration before modifying or deleting it. 

Use the Get All Kiosks API to retrieve the Kiosk ID and use the Kiosk GetRecords API to retrieve the GetRecords ID.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • GET /settings/kiosks/{kiosk_ID}/get_records/{getrecord_ID}/associations

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/get_records/{getrecord_ID}/associations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.READ
(or)
ZohoCRM.settings.ALL

Note

If a GetRecords configuration has no associations, the API returns the GetRecords configuration with the _associations field set to null.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021/get_records/5725767000010016117/associations"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The get_records JSON array contains the association details of the specified GetRecords configuration.

  • idstring

    Represents the unique ID of the GetRecords configuration.

  • _associationsJSON array

    Represents the list of places where the GetRecords configuration is used.

    • typestring

      Represents the category of association where the GetRecords configuration is used.
      Possible values: get_records, data_hubs, kiosk_states, email_templates, create_record, add_meeting, convert, schedule_call, wf_tasks, webhooks, functions, assign_owner, field_updates, open_link, open_record, and wf_alerts.

    • resourcesJSON array

      Represents the individual elements under the association type where the GetRecords configuration is used.

      • namestring

        Represents the name of the associated element.

      • idstring

        Represents the unique ID of the associated element.

      • _detailsJSON object

        Represents additional metadata about the associated element.

        • typestring

          Represents the subtype of the associated resource. For example, screen.

Note

  • The resources array can contain multiple elements depending on where the GetRecords configuration is used.
  • The _details.type value may vary, for example, screen and action based on the association context.

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid ID has been given
    Resolutions:

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. 

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve the Kiosk get record's associations. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "get_records": [
        {
            "_associations": [
                {
                    "resources": [
                        {
                            "name": "Screen 1",
                            "id": "5725767000010310002",
                            "_details": {
                                "type": "screen"
                            }
                        },
                        {
                            "name": "Screen 2",
                            "id": "5725767000010305659",
                            "_details": {
                                "type": "screen"
                            }
                        }
                    ],
                    "type": "kiosk_states"
                }
            ],
            "id": "5725767000010305641"
        }
    ]
}